Subject: fix segfault viewing PGP/SMIME signature information
From: Ricardo Mones <ricardo@mones.org>
Bug: http://www.thewildbeast.co.uk/claws-mail/bugzilla/show_bug.cgi?id=2689
Applied-Upstream: 3.8.1cvs12

diff -purN claws-mail-3.8.1.orig/src/plugins/pgpcore/sgpgme.c claws-mail-3.8.1/src/plugins/pgpcore/sgpgme.c
--- claws-mail-3.8.1.orig/src/plugins/pgpcore/sgpgme.c	2012-06-27 11:05:23.000000000 +0200
+++ claws-mail-3.8.1/src/plugins/pgpcore/sgpgme.c	2012-10-11 23:34:46.000000000 +0200
@@ -326,7 +326,7 @@ gchar *sgpgme_sigstat_info_full(gpgme_ct
 				j++;
 				user = user->next;
 			}
-			g_string_append_printf(siginfo,
+			g_string_append(siginfo,
 				_("Primary key fingerprint:"));
 			const char* primary_fpr = NULL;
 			if (key && key->subkeys && key->subkeys->fpr)
